@ ECHO off > \dev\nul
  REM -------------------------------------------------------------------------
  REM SWC.BAT  v2.07  Copyright (C) 1995-1997 by Matthias Paul
  REM Evaluates current SwitChar setting from system or %switchar%
  REM environment variable, using, if available, special features of
  REM DR DOS 6.0, Novell DOS 7, and Caldera OpenDOS COMMAND.COM and/or
  REM 4DOS/NDOS. Returns result in environment variable %switch%.
  REM Should run on any DOS 3.3+. If SWC.BAT cannot determine
  REM the current SwitChar, it returns default SwitChar '/'.
  REM Last edit: 1997-06-07 -mp [Matthias.Paul@post.rwth-aachen.de]
  REM -------------------------------------------------------------------------
  FOR %%x IN (swc.btm SWC.BTM) DO IF "%%x"=="%0" GOTO rename
  GOTO start
  :rename
  ECHO Warning: "SWC.BAT" must not be renamed to "%0"! Exiting...
  GOTO end
  :start
  IF ""=="%tmp%" SET tmp=%Temp%> \dev\nul
  IF NOT ""=="%tmp%" IF NOT EXIST %tmp%\nul MD %tmp% > \dev\nul
  BREAK on > \dev\nul
  IF EXIST %tmp%\swc.btm ECHO Warning: "%tmp%\swc.btm" is locked by another task. Waiting for release...
  :wait
  IF EXIST %tmp%\swc.btm GOTO wait
  BREAK off > \dev\nul
  IF NOT "4"=="%@Eval[2 + 2]%" GOTO no4dos
  ECHOS `SET `> %tmp%\swc.btm
  SETDOS | @ CALL FIND "SWITCH=" >> %tmp%\swc.btm
@ CALL %tmp%\swc.btm > \dev\nul
  DEL %tmp%\swc.btm > \dev\nul
  FOR %%x IN (on ON On off OFF Off) DO IF "%%x"=="%batdbg%" BREAK %batdbg% > \dev\nul
  GOTO end
  :no4dos
  REM Check for undocumented feature of Caldera OpenDOS 7.01, Novell DOS 7,
  REM DR DOS 6.0 COMMAND.COM: If current SwitChar is not '/', the 1st '\'
  REM from CD/CHDIR and PROMPT $p path-output is replaced by '/'.
  REM Since DR DOS 6.0 COMMAND.COM prior to updates 1992 did copy
  REM files with zero length, this should not be enabled for original
  REM DR DOS 6.0 COMMAND.COM of 1991.
  REM IF "DRDOS"=="%Os%" IF "6.0"=="%Ver%" GOTO drdos6
  IF NOT "NWDOS"=="%Os%" IF NOT "OPENDOS"=="%Os%" GOTO end
  :drdos6
  CD | CALL FIND "/" > %tmp%\swc.btm
  IF NOT EXIST %tmp%\swc.btm GOTO end
  BREAK on > \dev\nul
  IF EXIST %tmp%\swc.$$$ ECHO Warning: "%tmp%\swc.$$$" is locked by another task. Waiting for release...
  :wait2
  IF EXIST %tmp%\swc.$$$ GOTO wait2
  BREAK off > \dev\nul
  IF EXIST %tmp%\swc.btm COPY %tmp%\swc.btm %tmp%\swc.$$$ > \dev\nul
  IF EXIST %tmp%\swc.btm DEL %tmp%\swc.btm > \dev\nul
  IF EXIST %tmp%\swc.$$$ IF ""=="%switchar%" SET switch=-> \dev\nul
  IF NOT EXIST %tmp%\swc.$$$ SET switch=> \dev\nul
  IF EXIST %tmp%\swc.$$$ DEL %tmp%\swc.$$$ > \dev\nul
  :end
  IF ""=="%switch%" SET switch=%switchar%> \dev\nul
  IF ""=="%switch%" SET switch=/> \dev\nul
  REM To avoid a parsing bug in an older MS-DOS COMMAND.COM release
  REM
